using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;
using DxLibDLL;

namespace DotNetFontTest
{
    static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // Application.SetHighDpiMode(HighDpiMode.SystemAware);
            // Application.EnableVisualStyles();
            // Application.SetCompatibleTextRenderingDefault(false);
            // Application.Run(new Form1());

            DX.ChangeWindowMode(DX.TRUE);

            DX.SetBackgroundColor(128, 128, 128);

            if (DX.DxLib_Init() < 0)
            {
                return;
            }

            int FontHandle = DX.CreateFontToHandle("", 12, 1, DX.DX_FONTTYPE_EDGE);

            DX.DrawStringFToHandle(16.0f, 16.0f,         ": 179.44 m", DX.GetColor(255, 255, 255), FontHandle);
            DX.DrawStringFToHandle(16.0f, 16.0f + 16.0f, ": 48.58 m",  DX.GetColor(255, 255, 255), FontHandle);
            DX.DrawStringFToHandle(16.0f, 16.0f + 32.0f, ": 172.74 m", DX.GetColor(255, 255, 255), FontHandle);
            DX.DrawStringFToHandle(16.0f, 16.0f + 48.0f, "DIRE : 164.29 ", DX.GetColor(255, 255, 255), FontHandle);

            DX.WaitKey();

            DX.DxLib_End();
        }
    }
}
